Package org.eclipse.birt.chart.model.data

# Interface SeriesGrouping

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `SeriesGroupingImpl`

public interface SeriesGrouping extends IChartObject
A representation of the model object 'Series Grouping'. This type holds all grouping-related information for a series.

The following features are supported:

- `Enabled`
- `Grouping Unit`
- `Grouping Origin`
- `Grouping Interval`
- `Group Type`
- `Aggregate Expression`
- `Aggregate Parameters`

See Also:
  - `DataPackage.getSeriesGrouping()`

## Method Summary

Modifier and Type
Method
Description
`SeriesGrouping`
`copyInstance()`
`String`
`getAggregateExpression()`
Returns the value of the 'Aggregate Expression' attribute.
`org.eclipse.emf.common.util.EList<String>`
`getAggregateParameters()`
Returns the value of the 'Aggregate Parameters' attribute list.
`double`
`getGroupingInterval()`
Returns the value of the 'Grouping Interval' attribute.
`DataElement`
`getGroupingOrigin()`
Returns the value of the 'Grouping Origin' containment reference.
`GroupingUnitType`
`getGroupingUnit()`
Returns the value of the 'Grouping Unit' attribute.
`DataType`
`getGroupType()`
Returns the value of the 'Group Type' attribute.
`boolean`
`isEnabled()`
Returns the value of the 'Enabled' attribute.
`boolean`
`isSetAggregateExpression()`
Returns whether the value of the '`Aggregate Expression`' attribute is set.
`boolean`
`isSetEnabled()`
Returns whether the value of the ' `Enabled`' attribute is set.
`boolean`
`isSetGroupingInterval()`
Returns whether the value of the '`Grouping Interval`' attribute is set.
`boolean`
`isSetGroupingUnit()`
Returns whether the value of the '`Grouping Unit`' attribute is set.
`boolean`
`isSetGroupType()`
Returns whether the value of the '`Group Type`' attribute is set.
`void`
`setAggregateExpression(String value)`
Sets the value of the '`Aggregate Expression`' attribute.
`void`
`setEnabled(boolean value)`
Sets the value of the '`Enabled`' attribute.
`void`
`setGroupingInterval(double value)`
Sets the value of the '`Grouping Interval`' attribute.
`void`
`setGroupingOrigin(DataElement value)`
Sets the value of the '`Grouping Origin`' containment reference.
`void`
`setGroupingUnit(GroupingUnitType value)`
Sets the value of the ' `Grouping Unit`' attribute.
`void`
`setGroupType(DataType value)`
Sets the value of the '`Group Type`' attribute.
`void`
`unsetAggregateExpression()`
Unsets the value of the '`Aggregate Expression`' attribute.
`void`
`unsetEnabled()`
Unsets the value of the '`Enabled`' attribute.
`void`
`unsetGroupingInterval()`
Unsets the value of the '`Grouping Interval`' attribute.
`void`
`unsetGroupingUnit()`
Unsets the value of the ' `Grouping Unit`' attribute.
`void`
`unsetGroupType()`
Unsets the value of the ' `Group Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isEnabled

boolean isEnabled()
Returns the value of the 'Enabled' attribute. Gets whether or not grouping is enabled. Specifies the interval of spanning.

Returns:
  the value of the 'Enabled' attribute.
See Also:
  - `isSetEnabled()`
  - `unsetEnabled()`
  - `setEnabled(boolean)`
  - `DataPackage.getSeriesGrouping_Enabled()`

### setEnabled

void setEnabled(boolean value)
Sets the value of the '`Enabled`' attribute.

Parameters:
  `value` - the new value of the 'Enabled' attribute.
See Also:
  - `isSetEnabled()`
  - `unsetEnabled()`
  - `isEnabled()`

### unsetEnabled

void unsetEnabled()
Unsets the value of the '`Enabled`' attribute.

See Also:
  - `isSetEnabled()`
  - `isEnabled()`
  - `setEnabled(boolean)`

### isSetEnabled

boolean isSetEnabled()
Returns whether the value of the ' `Enabled`' attribute is set.

Returns:
  whether the value of the 'Enabled' attribute is set.
See Also:
  - `unsetEnabled()`
  - `isEnabled()`
  - `setEnabled(boolean)`

### getGroupingUnit

GroupingUnitType getGroupingUnit()
Returns the value of the 'Grouping Unit' attribute. Specifies the unit of grouping.

Returns:
  the value of the 'Grouping Unit' attribute.
See Also:
  - invalid reference

        #setGroupingUnit(String)

  - `DataPackage.getSeriesGrouping_GroupingUnit()`

### setGroupingUnit

void setGroupingUnit(GroupingUnitType value)
Sets the value of the ' `Grouping Unit`' attribute.

Parameters:
  `value` - the new value of the 'Grouping Unit' attribute.
See Also:
  - `GroupingUnitType`
  - `isSetGroupingUnit()`
  - `unsetGroupingUnit()`
  - `getGroupingUnit()`

### unsetGroupingUnit

void unsetGroupingUnit()
Unsets the value of the ' `Grouping Unit`' attribute.

See Also:
  - `isSetGroupingUnit()`
  - `getGroupingUnit()`
  - `setGroupingUnit(GroupingUnitType)`

### isSetGroupingUnit

boolean isSetGroupingUnit()
Returns whether the value of the '`Grouping Unit`' attribute is set.

Returns:
  whether the value of the 'Grouping Unit' attribute is set.
See Also:
  - `unsetGroupingUnit()`
  - `getGroupingUnit()`
  - `setGroupingUnit(GroupingUnitType)`

### getGroupingOrigin

DataElement getGroupingOrigin()
Returns the value of the 'Grouping Origin' containment reference. A data element that specifies the starting point for grouping. This does not apply to grouping of Text values. If undefined, grouping starts at the minimum value.

Returns:
  the value of the 'Grouping Origin' containment reference.
See Also:
  - `setGroupingOrigin(DataElement)`
  - `DataPackage.getSeriesGrouping_GroupingOrigin()`

### setGroupingOrigin

void setGroupingOrigin(DataElement value)
Sets the value of the '`Grouping Origin`' containment reference.

Parameters:
  `value` - the new value of the 'Grouping Origin' containment reference.
See Also:
  - `getGroupingOrigin()`

### getGroupingInterval

double getGroupingInterval()
Returns the value of the 'Grouping Interval' attribute. Specifies the interval of grouping.

Returns:
  the value of the 'Grouping Interval' attribute.
See Also:
  - `isSetGroupingInterval()`
  - `unsetGroupingInterval()`
  - `setGroupingInterval(int)`
  - `DataPackage.getSeriesGrouping_GroupingInterval()`

### setGroupingInterval

void setGroupingInterval(double value)
Sets the value of the '`Grouping Interval`' attribute.

Parameters:
  `value` - the new value of the 'Grouping Interval' attribute.
See Also:
  - `isSetGroupingInterval()`
  - `unsetGroupingInterval()`
  - `getGroupingInterval()`

### unsetGroupingInterval

void unsetGroupingInterval()
Unsets the value of the '`Grouping Interval`' attribute.

See Also:
  - `isSetGroupingInterval()`
  - `getGroupingInterval()`
  - `setGroupingInterval(double)`

### isSetGroupingInterval

boolean isSetGroupingInterval()
Returns whether the value of the '`Grouping Interval`' attribute is set.

Returns:
  whether the value of the 'Grouping Interval' attribute is set.
See Also:
  - `unsetGroupingInterval()`
  - `getGroupingInterval()`
  - `setGroupingInterval(double)`

### getGroupType

DataType getGroupType()
Returns the value of the 'Group Type' attribute. Specifies the type of data to be grouped. (e.g. Text, Number, Date/Time etc.)

Returns:
  the value of the 'Group Type' attribute.
See Also:
  - invalid reference

        #setGroupType(String)

  - `DataPackage.getSeriesGrouping_GroupType()`

### setGroupType

void setGroupType(DataType value)
Sets the value of the '`Group Type`' attribute.

Parameters:
  `value` - the new value of the 'Group Type' attribute.
See Also:
  - `DataType`
  - `isSetGroupType()`
  - `unsetGroupType()`
  - `getGroupType()`

### unsetGroupType

void unsetGroupType()
Unsets the value of the ' `Group Type`' attribute.

See Also:
  - `isSetGroupType()`
  - `getGroupType()`
  - `setGroupType(DataType)`

### isSetGroupType

boolean isSetGroupType()
Returns whether the value of the '`Group Type`' attribute is set.

Returns:
  whether the value of the 'Group Type' attribute is set.
See Also:
  - `unsetGroupType()`
  - `getGroupType()`
  - `setGroupType(DataType)`

### getAggregateExpression

String getAggregateExpression()
Returns the value of the 'Aggregate Expression' attribute. Specifies the aggregate function to be applied on orthogonal values for each grouped unit.

Returns:
  the value of the 'Aggregate Expression' attribute.
See Also:
  - `setAggregateExpression(String)`
  - `DataPackage.getSeriesGrouping_AggregateExpression()`

### setAggregateExpression

void setAggregateExpression(String value)
Sets the value of the '`Aggregate Expression`' attribute.

Parameters:
  `value` - the new value of the 'Aggregate Expression' attribute.
See Also:
  - `isSetAggregateExpression()`
  - `unsetAggregateExpression()`
  - `getAggregateExpression()`

### unsetAggregateExpression

void unsetAggregateExpression()
Unsets the value of the '`Aggregate Expression`' attribute.

See Also:
  - `isSetAggregateExpression()`
  - `getAggregateExpression()`
  - `setAggregateExpression(String)`

### isSetAggregateExpression

boolean isSetAggregateExpression()
Returns whether the value of the '`Aggregate Expression`' attribute is set.

Returns:
  whether the value of the 'Aggregate Expression' attribute is set.
See Also:
  - `unsetAggregateExpression()`
  - `getAggregateExpression()`
  - `setAggregateExpression(String)`

### getAggregateParameters

org.eclipse.emf.common.util.EList<String> getAggregateParameters()
Returns the value of the 'Aggregate Parameters' attribute list. The list contents are of type `String`.

If the meaning of the 'Aggregate Parameters' attribute list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Aggregate Parameters' attribute list.
See Also:
  - `DataPackage.getSeriesGrouping_AggregateParameters()`

### copyInstance

SeriesGrouping copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`